cap log close
clear all
set mem 700m
set more off
 set seed 07281983
/********************************************************************/
/*Define Directories												*/
/********************************************************************/

global dir = "C:/Users/data"
cd "$dir"
log using "$dir/log `c(current_date)'.log", replace

/********************************************************************/
/*Define Global Vars												*/
/********************************************************************/

global indep =  "a16_3_ageinyrs hus3_3_ageinyears school hus1_highestschool step3_numchildren diffht_wtchild e1_ideal hus12_ideal step7_injectables step7_pill step7_usingany monthlyinc husmonthlyinc fertdesdiff2 mostfertile age40 timesincelastbirth"
global indep2 =  "a16_3_ageinyrs hus3_3_ageinyears school hus1_highestschool step3_numchildren diffht_wtchild e1_ideal hus12_ideal step7_injectables step7_pill step7_usingany monthlyinc husmonthlyinc mostfertile age40 timesincelastbirth"

global dummy = "flag_survey d_a16_3_ageinyrs d_hus3_3_ageinyears d_school d_hus1_highestschool d_step3_numchildren d_diffht_wtchild d_e1_ideal d_hus12_ideal d_monthlyinc d_husmonthlyinc d_fertdesdiff2 d_mostfert d_age40 d_flag_s d_compound_num d_step7* d_times"	
global dummy2 = "flag_survey d_a16_3_ageinyrs d_hus3_3_ageinyears d_school d_hus1_highestschool d_step3_numchildren d_diffht_wtchild d_e1_ideal d_hus12_ideal d_monthlyinc d_husmonthlyinc d_mostfertile d_age40 d_flag_survey d_compound_num i.compound_num d_step7* d_times"	

global vars1 = "school a45_hus_highestschool e1_ideal a16_3_ageinyrs h_age e12_hus_ideal everused wife_anyinc mostfertile wantschildin2"
global vars2 = "b4marriageage catholic a37happiness a36health yearsinlus haselectricity formalmarr sexdays e23sexmonth"
global vars3 = "husb_othchild f12 f25d f26d f17hide husb_reg_drinker f29 e25pressure decide_budg decide_pur"
global vars4 = "step7_usingany step3_numchildren step7_injectables step7_pill step7_hormone tried_inj_base timesincelastbirth"
global vars5 = "hus3_3_ageinyears hus1_highestschool hus12_ideal  husmonthlyinc earned_lastmth husb40 e26violentpre decide_sav hus_money"

global vars_t = "school a45_hus_highestschool e1_ideal a16_3_ageinyrs h_age e12_hus_ideal everused wife_anyinc mostfertile"


*********************************************************************************************************************

/* ============================================================ */
/*	Table 1  Summary Statistics - TOT Sample				  	*/  
/* ============================================================ */

use "$dir/fertility_summarystats.dta", clear
eststo clear

**HDP: The below replicates all of Table 1. 

local i =0
foreach v of varlist $vars1 $vars2 $vars3 $vars4 $vars5 {
  	local i = `i' + 1
	quietly: reg `v' Iindividual if ittsample4==1 
	estimates store e_`i'
	scalar indiv =  _b[Iindividual] +  _b[_cons]
	scalar couple = _b[_cons]
	scalar dfr = e(df_r)
	scalar t_stat = _b[Iindividual] / _se[Iindividual]
	scalar pval = 2*ttail(dfr,abs(t_stat))
	qui count if Iindividual==1 & e(sample)==1
	scalar indiv_n = r(N)
	scalar couple_n = e(N)-r(N)
	matrix R_`i'=(indiv,_se[Iindividual],indiv_n,couple,_se[_cons],couple_n,pval)
	}
matrix Rall4= [R_1\R_2\R_3\R_4\R_5\R_6\R_7\R_8\R_9\R_10\R_11\R_12\R_13\R_14\R_15\R_16\R_17\R_18\R_19\R_20\R_21\R_22\R_23\R_24\R_25\R_26\R_27\R_28\R_29\R_30\R_31\R_32\R_33\R_34\R_35\R_36\R_37\R_38\R_39\R_40\R_41\R_42\R_43\R_44\R_45]
matrix rownames Rall4 = $vars1 $vars2 $vars3 $vars4 $vars5
matrix colnames Rall4 = mI seI NI mC seC NC Pval

foreach v in mI seI NI mC seC NC Pval {
matrix  tmp`v' = Rall4[1...,"`v'"]'
ereturn post
estadd matrix A = tmp`v'
eststo `v'
}

qui suest e_*

test [e_1_mean]Iindividual [e_2_mean]Iindividual [e_3_mean]Iindividual [e_4_mean]Iindividual [e_5_mean]Iindividual [e_6_mean]Iindividual [e_7_mean]Iindividual [e_8_mean]Iindividual [e_9_mean]Iindividual [e_10_mean]Iindividual ///
	[e_11_mean]Iindividual [e_12_mean]Iindividual [e_13_mean]Iindividual [e_14_mean]Iindividual [e_15_mean]Iindividual [e_16_mean]Iindividual [e_17_mean]Iindividual [e_18_mean]Iindividual [e_19_mean]Iindividual [e_20_mean]Iindividual ///
	[e_21_mean]Iindividual [e_22_mean]Iindividual [e_23_mean]Iindividual [e_24_mean]Iindividual [e_25_mean]Iindividual [e_26_mean]Iindividual [e_27_mean]Iindividual [e_28_mean]Iindividual [e_29_mean]Iindividual 

estadd scalar chi2_itt4 = r(chi2) : Pval
estadd scalar chi_p_itt4 = r(p): Pval

**HDP: Table 1, Panel A 

#delimit ;
esttab mI seI NI mC seC NC Pval using "$dir/Summary Table TOT - Panel A.tex" , style(tex) replace nonum
		mgroups("Individual Treatment" "Couple Treatment", pattern(1 0 0 1 0 0 1) prefix(\multicolumn{@span}{c}{) suffix(}) span erepeat(\cmidrule(lr){@span})) 
		title("Summary Statistics for Final Sample") mtitles("Mean" "SE" "N" "Mean" "SE" "N" "P-Value") not
		main(A) compress keep($vars1 $vars2 $vars3) noobs stats(chi2_itt4 chi_p_itt4, labels("Joint F Statistic" "P-value"))
		prehead(\begin{table}[htbp]\centering
		\def\sym#1{\ifmmode^{#1}\else\(^{#1}\)\fi}
		\caption{Summary Statistics for Final Sample \label{tab:tab2}}
		\scalebox{0.5}{\begin{tabular}{l c*{6}{c}} \hline)
		posthead(\toprule
				\multicolumn{6}{l}{\textbf{Panel A}} \\
				\midrule)
		postfoot(\end{tabular}}) 
		tex nogaps  width(\hsize) alignment(c)		
		coeflabels(
		step7_usingany	"Using any method at baseline"
		step3_numchildren	"Number of living children"
		step7_injectables	"Using injectable at baseline"
		step7_pill	"Using pill at baseline"
		step7_hormone	"Using a hormonal contraceptive at baseline"
		timesincelastbirth	"Months since last birth (at recruitment)"
		school	"Highest schooling attained"
		a45_hus_highestschool	"Husband's highest schooling attained (reported by wife)"
		e1_ideal	"Ideal number of children"
		a16_3_ageinyrs	"Age"  
		h_age	"Husband's age (reported by wife)"
		hus3_3_ageinyears	"Husband's age (reported by husband)"
		hus1_highestschool	"Husband's highest schooling attained (reported by husband)"
		e12_hus_ideal	"Husband's ideal number of children (reported by wife)"
		hus12_ideal	"Husband's ideal number of children (reported by husband)"
		everused	"Has ever used a modern contraceptive method"
		tried_inj_base "Has ever used an injectable contraceptive method"
		wife_anyinc	"Wife has monthly income"
		husmonthlyinc	"Husband's average monthly income (1,000 USD) (reported by husband)"
		earned_lastmth	"Wife earned money in previous month"
		husb40	"Husband works 40+ hours"
		mostfertile	"Wife knows when she is most fertile"
		wantschildin2	"Wife wants to become pregnant in following 2 years"
		formalmarr	"Formally married"
		b4marriageage	"Age wife married"
		catholic	"Catholic"
		a37happiness	"Comparison of happiness with other women in region\\(1=very unhappy, 5=very happy)"
		a36health	"Comparison of health with other women in region\\(1=very poor, 5=excellent)"
		yearsinlus	"Number of years respondent lived in Lusaka"
		haselectricity	"Couple has electricity"
		sexdays	"Number of days in past 7 days couple has sex"
		e23sexmonth	"Number of days in past month couple has sex"
		husb_othchild	"Number of children husband has with other women"
		f12	"Frequency at which couple has talked about contraception in last\\year"
		f25d	"Couple has ever disagreed on number of children"
		f26d	"Couple has ever disagreed on contraception use"
		f17hide	"Have used contraceptive method without husband's knowledge"
		wouldhide	"Wife would hide money from husband if given 5000 kwacha"
		wouldhide_h	"Husband would hide money from wife if given 5000 kwacha"
		husb_reg_drinker	"Husband drinks at least 2 to 3 times a week"
		f29	"Husband has ever threatened physical violence"
		f30	"Husband has ever been physically violent conditional on\\having threatened violence"
		e25pressure	"Wife ever pressured to have sex"
		e26violentpre	"Wife ever pressured violently to have sex"
		decide_sav	"Husband decides savings"
		hus_money	"Husband holds the money"
		decide_budg	"Husband does budgeting"
		decide_pur	"Husband decides major purchases");

		
**HDP: Table 1, Panel B	;	
		
esttab mI seI NI mC seC NC Pval using "$dir/Summary Table TOT - Panel B.tex" , style(tex) replace nonum
		not	main(A) compress keep($vars4 $vars5) noobs
		prehead(
		\scalebox{0.5}{\begin{tabular}{l c*{6}{c}})
		posthead(\toprule
				\multicolumn{6}{l}{\textbf{Panel B}} \\ \noalign{\smallskip}\hline\noalign{\smallskip})
		postfoot(\hline\hline \end{tabular}}\end{table}) 
		tex nogaps  width(\hsize) alignment(c)		
		coeflabels(
		step7_usingany	"Using any method at baseline"
		step3_numchildren	"Number of living children"
		step7_injectables	"Using injectable at baseline"
		step7_pill	"Using pill at baseline"
		step7_hormone	"Using a hormonal contraceptive at baseline"
		timesincelastbirth	"Months since last birth (at recruitment)"
		school	"Highest schooling attained"
		a45_hus_highestschool	"Husband's highest schooling attained (reported by wife)"
		e1_ideal	"Ideal number of children"
		a16_3_ageinyrs	"Age"  
		h_age	"Husband's age (reported by wife)"
		hus3_3_ageinyears	"Husband's age (reported by husband)"
		hus1_highestschool	"Husband's highest schooling attained (reported by husband)"
		e12_hus_ideal	"Husband's ideal number of children (reported by wife)"
		hus12_ideal	"Husband's ideal number of children (reported by husband)"
		everused	"Has ever used a modern contraceptive method"
		tried_inj_base "Has ever used an injectable contraceptive method"
		wife_anyinc	"Wife has monthly income"
		husmonthlyinc	"Husband's average monthly income (1,000 USD) (reported by husband)"
		earned_lastmth	"Wife earned money in previous month"
		husb40	"Husband works 40+ hours"
		mostfertile	"Wife knows when she is most fertile"
		wantschildin2	"Wife wants to become pregnant in following 2 years"
		formalmarr	"Formally married"
		b4marriageage	"Age wife married"
		catholic	"Catholic"
		a37happiness	"Comparison of happiness with other women in region\\(1=very unhappy, 5=very happy)"
		a36health	"Comparison of health with other women in region\\(1=very poor, 5=excellent)"
		yearsinlus	"Number of years respondent lived in Lusaka"
		haselectricity	"Couple has electricity"
		sexdays	"Number of days in past 7 days couple has sex"
		e23sexmonth	"Number of days in past month couple has sex"
		husb_othchild	"Number of children husband has with other women"
		f12	"Frequency at which couple has talked about contraception in last\\year"
		f25d	"Couple has ever disagreed on number of children"
		f26d	"Couple has ever disagreed on contraception use"
		f17hide	"Have used contraceptive method without husband's knowledge"
		wouldhide	"Wife would hide money from husband if given 5000 kwacha"
		wouldhide_h	"Husband would hide money from wife if given 5000 kwacha"
		husb_reg_drinker	"Husband drinks at least 2 to 3 times a week"
		f29	"Husband has ever threatened physical violence"
		f30	"Husband has ever been physically violent conditional on\\having threatened violence"
		e25pressure	"Wife ever pressured to have sex"
		e26violentpre	"Wife ever pressured violently to have sex"
		decide_sav	"Husband decides savings"
		hus_money	"Husband holds the money"
		decide_budg	"Husband does budgeting"
		decide_pur	"Husband decides major purchases");

		#delimit cr
	



/********************************************************************/
/*	CREATE SAMPLE SUBGROUPS											*/
/********************************************************************/

use "fertility_regressions.dta", clear
drop compound compoundd* compounda* step7_iud
replace e18maxnumber=. if e18maxnumber<0
replace e7maxnumber=. if e7maxnumber<0
replace e19minnumber=. if e18maxnumber<0
replace e8minnumber=. if e8minnumber<0

fvset base 5 compound_num
 
/*Define Sub-Sample where Effect Most Important - Throw out Missing*/
gen h_gt_w_ideal_m = (e12_hus_ideal>e1_ideal) 
replace h_gt_w_ideal_m = . if d_e12_hus_ideal==1
 
gen equal_ideal = (e12_hus_ideal==e1_ideal) 
replace equal_ideal = . if d_e12_hus_ideal==1

gen h_gt_w_max_m = (e18maxnumber>e7maxnumber) 
replace h_gt_w_max_m = . if (e18maxnumber==. | e7maxnumber==.)

gen h_gt_w_min_m = (e19minnumber_hus>e8minnumber) 
replace h_gt_w_min_m = . if e19minnumber_hus ==. | e8minnumber == .  

gen h_wantsmore_max_m = ((e18maxnumber-currentnumchildren)>0)
replace h_wantsmore_max_m = . if e18maxnumber==. | currentnumchildren==.
 
gen h_wantsmore_ideal_m = (((e12_hus_ideal-currentnumchildren)>0) | e17morekids>0 )
replace h_wantsmore_ideal_m = . if (d_e12_hus_ideal==1 | currentnumchildren==.) & (e17morekids==-9)

gen w_wantsmore_m = ((e7maxnumber-currentnumchildren)>0)
replace w_wantsmore_m = . if e7maxnumber==. | currentnumchildren==.

gen h_wantsmore_comb = (h_gt_w_ideal_m==1 | ((h_gt_w_min_m==1 | h_gt_w_max_m==1) & equal_ideal==1))
replace h_wantsmore_comb = . if h_gt_w_ideal_m==. & h_gt_w_min_m==. & h_gt_w_max_m==. & equal_ideal==.

gen responder_m = ((h_gt_w_min_m==1 | h_gt_w_ideal_m==1 | h_gt_w_max_m==1) &  h_wantsmore_ideal_m==1 & wantschildin2==0)
replace responder_m = . if ((h_gt_w_min_m==. & h_gt_w_ideal_m==. & h_gt_w_max_m==.) | h_wantsmore_ideal_m==. | wantschildin2==.)

gen wantschildin2_hus=(hus_20>=0 & hus_20<=24) | hus16==1
replace wantschildin2_hus=. if hus_20==. & hus16==.

gen birthyr_unwanted = birthyr1
replace birthyr_unwanted = 0 if (wantschildin2 == 1 | wantschildin2_hus==1)

/*Marital Status Same*/
gen still_together = (b1marstat==4)
replace still_together = . if b1marstat==.

/*Marital Status Same*/
gen separated = (b1marstat==1 | b1marstat==2 | b1marstat==3 | b1marstat==.)
gen separated2 = (b1marstat==2 | b1marstat==3 | b1marstat==.)

/* Dummy Variables for Well Being*/
gen satisfied = (j11satisfy==4 | j11satisfy==5)
replace satisfied = . if j11satisfy==.

gen satisfied2 = (j11satisfy==3 | j11satisfy==4 | j11satisfy==5)
replace satisfied2 = . if j11satisfy==.

gen healthier = (a21health==4 | a21health==5)
replace healthier = . if a21health==.

gen healthier2 = (a21health==3 | a21health==4 | a21health==5)
replace healthier2 = . if a21health==.

gen happier = (a22happy==4 | a22happy==5)
replace happier = . if a22happy==.

gen happier2 = (a22happy==3 |a22happy==4 | a22happy==5)
replace happier2 = . if a22happy==.

gen threat_follow = (f9threat==1)
replace threat_follow = . if f9threat<0 | f9threat==.

gen violence_follow = (f10violenc==1)
replace violence_follow = . if f10violenc<0 | f10violenc==.

gen cur_using_condom = (g14mc==1)
replace cur_using_condom = . if g14mc==.

gen gt4_sex = (e23sex>=4)
replace gt4_sex = . if e23sex<0 | e23sex==.

*RECONSTRUCT BIRTH SPACING 

egen max_ch_age = rowmax(d7child*_age)
egen min_ch_age = rowmin(d7child*_age)

gen ch_age_diff = max_ch_age - min_ch_age
egen ct_child = rownonmiss(d7child*_age)
replace ct_child = ct_child-1

gen ave_dist = ch_age_diff/ct_child

egen max_ch_age_f = rowmax(d7n*age)
egen min_ch_age_f = rowmin(d7n*age)

gen ch_age_diff_f = max_ch_age_f - min_ch_age_f
egen ct_child_f = rownonmiss(d7n*age)
replace ct_child_f = ct_child_f-1

gen ave_dist_f = ch_age_diff_f/ct_child_f

gen dist = ave_dist_f - ave_dist



/* ============================================================ */
/*	Table 2  Regression Results - Voucher Use				  	*/  
/* ============================================================ */

**HDP: regs A, B, E, F, G, H >> Table 2, Panel A, columns, 1, 2, 5-8. Regs C-D are just placeholders that were manually replaced by the IV below
	
	eststo clear

	eststo A: reg usedvoucher Icouples if ittsample4 == 1 
	eststo B: reg Ireceivedinj Icouples if ittsample4 == 1 
	eststo C: reg birthyr1 usedvoucher if ittsample4_follow == 1 
	eststo D: reg usedvoucher Icouples if ittsample4_follow == 1 
		
	eststo E: reg usedvoucher Icouples if ittsample4 == 1 & responder_m==1
	eststo F: reg Ireceivedinj Icouples if ittsample4 == 1 & responder_m==1

	eststo G: reg usedvoucher Icouples if ittsample4 == 1 & responder_m==0
	eststo H: reg Ireceivedinj Icouples if ittsample4 == 1 & responder_m==0

#delimit ;
esttab A B C D E F G H  using "$dir/Regs1.tex" , b(%9.3f) se(%9.3f) star  
				posthead(&\multicolumn{4}{c}{All Women} &\multicolumn{2}{c}{Responders} &\multicolumn{2}{c}{Non-Responder}
				\\\cmidrule(lr){2-5}\cmidrule(lr){6-7}\cmidrule(lr){8-9} 
				&\multicolumn{1}{c}{Voucher} &\multicolumn{1}{c}{Received} &\multicolumn{1}{c}{Birth in} &\multicolumn{1}{c}{Used} &\multicolumn{1}{c}{Voucher} 
				&\multicolumn{1}{c}{Received} &\multicolumn{1}{c}{Voucher} &\multicolumn{1}{c}{Received} \\
				&\multicolumn{1}{c}{Redeemed} &\multicolumn{1}{c}{Injectable} &\multicolumn{1}{c}{Next Year} &\multicolumn{1}{c}{Voucher} &\multicolumn{1}{c}{Redeemed}
				&\multicolumn{1}{c}{Injectable} &\multicolumn{1}{c}{Redeemed} &\multicolumn{1}{c}{Injectable} \\ 
				&\multicolumn{1}{c}{} &\multicolumn{1}{c}{} &\multicolumn{1}{c}{IV - 2nd Stage} &\multicolumn{1}{c}{IV - 1st Stage} &\multicolumn{1}{c}{}
				&\multicolumn{1}{c}{} &\multicolumn{1}{c}{} &\multicolumn{1}{c}{} \\ 
				&\multicolumn{1}{c}{[1]} &\multicolumn{1}{c}{[2]} &\multicolumn{1}{c}{[3]} &\multicolumn{1}{c}{[4]} &\multicolumn{1}{c}{[5]}
				&\multicolumn{1}{c}{[6]} &\multicolumn{1}{c}{[7]} &\multicolumn{1}{c}{[8]} \\\hline)
				keep(Icouples usedvoucher) style(tex) replace nomtitles
				nogaps nonumbers width(\hsize) alignment(c)
				not compress noobs
				coeflabel(Icouples "Assigned to\\Couple Treatment" usedvoucher "Used Voucher") tex  
				prehead(\begin{table}[htbp]\centering
				\def\sym#1{\ifmmode^{#1}\else\(^{#1}\)\fi}
				\caption{Effect of Private Information Treatment on Households \label{tab:reg1}}
				\scalebox{0.9}{\begin{tabular}{l c*{8}{c}}
				\toprule
				\multicolumn{8}{l}{\textbf{Panel A: Without Controls}} \\
				\midrule)
				postfoot(\hline) ;



***HDP: replicates columns 5-8 of Table 2, Panel B. 3-4 are placeholders for the IV; 
				
#delimit cr				
	
	eststo clear
	
	eststo A: reg usedvoucher Icouples $indep $dummy if ittsample4 == 1 
	sum usedvoucher if ittsample4 == 1 & Iindividual==1  
	estadd r(mean)
	eststo B: reg Ireceivedinj Icouples $indep $dummy if ittsample4 == 1 
	sum Ireceivedinj if ittsample4 == 1 & Iindividual==1  
	estadd r(mean)
	eststo C: reg birthyr1 usedvoucher $indep $dummy if ittsample4_follow == 1
	sum birthyr1 if ittsample4_follow == 1 & Iindividual==1  
	estadd r(mean)
	eststo D: reg usedvoucher Icouples $indep $dummy if ittsample4_follow == 1 
	sum usedvoucher if ittsample4_follow == 1 & Iindividual==1  
	estadd r(mean)

	eststo E: reg usedvoucher Icouples $indep2 $dummy2 if ittsample4 == 1 & responder_m==1
	sum usedvoucher if ittsample4 == 1 & Iindividual==1  & responder_m==1
	estadd r(mean)
	eststo F: reg Ireceivedinj Icouples $indep2 $dummy2 if ittsample4 == 1 & responder_m==1
	sum Ireceivedinj if ittsample4 == 1 & Iindividual==1  & responder_m==1
	estadd r(mean)
	
	eststo G: reg usedvoucher Icouples $indep2 $dummy2 if ittsample4 == 1 & responder_m==0
	sum usedvoucher if ittsample4 == 1 & Iindividual==1  & responder_m==0
	estadd r(mean)
	eststo H: reg Ireceivedinj Icouples $indep2 $dummy2 if ittsample4 == 1 & responder_m==0
	sum Ireceivedinj if ittsample4 == 1 & Iindividual==1  & responder_m==0
	estadd r(mean)

#delimit;
esttab A B C D E F G H using "$dir/Regs1.tex" , b(%9.3f) se(%9.3f) star append
					starl(* .1 ** .05 *** .01) stats(N mean, label("N" "Mean of Outcome Variable\\among Individual Treatment") fmt(0 3))
			keep(Icouples usedvoucher) style(tex) nomtitles
			nogaps nonumbers width(\hsize) alignment(c)
				not compress obs
			coeflabel(Icouples "Assigned to\\Couple Treatment" usedvoucher "Used Voucher") tex nogaps  
			prehead(\toprule     \multicolumn{8}{l}{\textbf{Panel B: With Controls}} \\ \midrule)
			postfoot(\hline \multicolumn{1}{l}{Estimator} & \multicolumn{1}{c}{OLS} & \multicolumn{1}{c}{OLS} & \multicolumn{1}{c}{Probit}  & 
			\multicolumn{1}{c}{Probit} & \multicolumn{1}{c}{OLS} & \multicolumn{1}{c}{OLS} & \multicolumn{1}{c}{OLS} & \multicolumn{1}{c}{OLS}   \\ \hline
			\bottomrule
			\multicolumn{9}{l}{\footnotesize * p<.1, ** p<.05, *** p<.01}\\
			\multicolumn{9}{l}{\footnotesize [1] A responder is defined as a women who doesn't want a child in the next two years who believes her husband wants to have more children than} \\
			\multicolumn{9}{l}{\footnotesize they currently have and who also believes her husband wants more children than she does.  Non-responders didn't satisfy these requirements and} \\
			\multicolumn{9}{l}{\footnotesize didn't have missing information on the relevant variables.} \\
			\multicolumn{9}{l}{\footnotesize [2] Controls include: age, husband's age, education, husband's education, number of children, wife's ideal \# of children, husband's ideal} \\
			\multicolumn{9}{l}{\footnotesize  \# of children, using injectables at baseline, using pill at baseline, using any hormonal contraceptive at baseline, wife's monthly income,} \\
			\multicolumn{9}{l}{\footnotesize husband's monthly income, difference in desired fertility of couple, wife knows when she is most fertile, woman's age > 40, time since last birth,} \\
			\multicolumn{9}{l}{\footnotesize difference between husband's and wife's total number of children, and compound indicators.} \\
			\multicolumn{9}{l}{\footnotesize [3] Missing values for controls were replaced with a zero and dummy variables for missing values were included in the regression.} \\
			\multicolumn{9}{l}{\footnotesize [4] A voucher was "redeemed" if there is a record of a voucher use by a woman in the study at the Chiapata Clinic.}\\
			\multicolumn{9}{l}{\footnotesize [5] The ATE was determined using Stata's binormal command to calculate predicted linear indices. For the regression without controls,}\\
			\multicolumn{9}{l}{\footnotesize the Average Treatment Effect (ATE) = -0.268, with controls, the ATE is -0.325. The ATE without controls thus indicates that the increased use of family} \\
			\multicolumn{9}{l}{\footnotesize planning services the Individual treatment induced resulted in a 27\% decrease in births.}\\ 
			\end{tabular}} \end{table});
#delimit cr
eststo clear
*capture log close

/* ============================================================ */
/*	Table 2 (IV columns 3-4) Regression Results - IV Effect on Birth  */  
/* ============================================================ */


/*	KJ: The following boostrapped regressions take a considerable amount of time
	to run. They are commented out to streamline the replication, but they have
	been run and replication has been confirmed.
	
	HDP: produces IV coefficients in Table 2, columns 3-4. 


global dummy_t = "flag_survey d_a16_3_ageinyrs d_hus3_3_ageinyears d_school d_step3_numchildren d_diffht_wtchild d_hus12_ideal d_mostfertile d_flag_survey"	

log using "$dir/Biprobit With MFX", replace	
preserve 
keep if ittsample4_follow == 1	
biprobit (birthyr1 usedvoucher) (usedvoucher=Icouples)
	mfx
biprobit (birthyr1 usedvoucher $indep2 $dummy_t) (usedvoucher=Icouples $indep2 $dummy_t)
	mfx
restore
log close	

capture log close
log using "$dir/Biprobit With Bootstrap", replace		
preserve 
keep if ittsample4_follow == 1
bootstrap _b ate=r(ate) att=r(att), reps(199): biprobittreat (birthyr1 usedvoucher) (usedvoucher=Icouples)
	display r(ate)
	display r(att)
bootstrap _b ate=r(ate) att=r(att), reps(199): biprobittreat (birthyr1 usedvoucher $indep2 $dummy_t) (usedvoucher=Icouples $indep2 $dummy_t)
	display r(ate)
	display r(att)
restore
log close



capture log close
log using "$dir/Cross Tab", replace		
tab wantschildin2 responder_m if ittsample4_follow==1, m 
log close

	#delimit ;
	
	esttab A B using "$dir/IV Effect on Birth.tex", b(%9.3f) se(%9.3f) star
				title("Effect of Using Voucher on Fertility")
				i("Controls = a16_3_ageinyrs") addnotes("[1] Need to add notes")
				starl(* .1 ** .05 *** .01) mtitles("[A]" "[B]") keep(usedvoucher) style(tex) replace 
				coeflabel(usedvoucher "Used Voucher") tex nogaps  width(\hsize) alignment(c);
	#delimit cr
*/


/* ======================================================================== */
/*	Table 3  Regression Results - Husband and Wife Don' Want Child in 2		*/  
/* ======================================================================== */

***HDP: Regs A C E G I K replicate Table 3, Panel A
***Regs B D F H J L replicate Table 3, Panel B 

eststo clear
		
	eststo A: reg usedvoucher Icouples if ittsample4 == 1 & wantschildin2==0 & wantschildin2_hus==0 
	eststo B: xi: reg usedvoucher Icouples $indep $dummy if ittsample4 == 1 & wantschildin2==0 & wantschildin2_hus==0 
	sum usedvoucher if ittsample4 == 1 & Iindividual==1 & wantschildin2==0 & wantschildin2_hus==0 
	estadd r(mean)
	eststo C: reg Ireceivedinj Icouples if ittsample4 == 1 & wantschildin2==0 & wantschildin2_hus==0 	
	eststo D: xi: reg Ireceivedinj Icouples $indep $dummy if ittsample4 == 1 & wantschildin2==0 & wantschildin2_hus==0 	
	sum Ireceivedinj if ittsample4 == 1 & Iindividual==1 & wantschildin2==0 & wantschildin2_hus==0
	estadd r(mean)
	
	eststo E: reg usedvoucher Icouples if ittsample4 == 1 & wantschildin2==0 & wantschildin2_hus==0 & responder_m==1
	eststo F: xi: reg usedvoucher Icouples $indep $dummy if ittsample4 == 1 & wantschildin2==0 & wantschildin2_hus==0 & responder_m==1
	sum usedvoucher if ittsample4 == 1 & Iindividual==1 & wantschildin2==0 & wantschildin2_hus==0 & responder_m==1
	estadd r(mean)
	eststo G: reg Ireceivedinj Icouples if ittsample4 == 1 & wantschildin2==0 & wantschildin2_hus==0 & responder_m==1
	eststo H: xi: reg Ireceivedinj Icouples $indep $dummy if ittsample4 == 1 & wantschildin2==0 & wantschildin2_hus==0 & responder_m==1
	sum Ireceivedinj if ittsample4 == 1 & Iindividual==1  & wantschildin2==0 & wantschildin2_hus==0 & responder_m==1
	estadd r(mean)
	
	eststo I: reg usedvoucher Icouples if ittsample4 == 1 & wantschildin2==0 & wantschildin2_hus==0 & responder_m==0
	eststo J: xi: reg usedvoucher Icouples $indep $dummy if ittsample4 == 1 & wantschildin2==0 & wantschildin2_hus==0 & responder_m==0
	sum usedvoucher if ittsample4 == 1 & Iindividual==1  & wantschildin2==0 & wantschildin2_hus==0 & responder_m==0
	estadd r(mean)
	eststo K: reg Ireceivedinj Icouples if ittsample4 == 1 & wantschildin2==0 & wantschildin2_hus==0 & responder_m==0
	eststo L: xi: reg Ireceivedinj Icouples $indep $dummy if ittsample4 == 1 & wantschildin2==0 & wantschildin2_hus==0 & responder_m==0
	sum Ireceivedinj if ittsample4 == 1 & Iindividual==1 & wantschildin2==0 & wantschildin2_hus==0 & responder_m==0
	estadd r(mean)

	#delimit ;
		esttab A C E G I K using "$dir/Regs2.tex", b(%9.3f) se(%9.3f) star
				starl(* .1 ** .05 *** .01) 
				posthead(&\multicolumn{2}{c}{All Women} &\multicolumn{2}{c}{Responders} &\multicolumn{2}{c}{Non-Responder}
				\\\cmidrule(lr){2-3}\cmidrule(lr){4-5}\cmidrule(lr){6-7} 
				&\multicolumn{1}{c}{Voucher} &\multicolumn{1}{c}{Received} &\multicolumn{1}{c}{Voucher} 
				&\multicolumn{1}{c}{Received} &\multicolumn{1}{c}{Voucher} &\multicolumn{1}{c}{Received} \\
				&\multicolumn{1}{c}{Redeemed} &\multicolumn{1}{c}{Injectable} &\multicolumn{1}{c}{Redeemed}
				&\multicolumn{1}{c}{Injectable} &\multicolumn{1}{c}{Redeemed} &\multicolumn{1}{c}{Injectable} \\ 
				&\multicolumn{1}{c}{[1]} &\multicolumn{1}{c}{[2]} &\multicolumn{1}{c}{[3]}
				&\multicolumn{1}{c}{[4]} &\multicolumn{1}{c}{[5]} &\multicolumn{1}{c}{[6]} \\\hline)
				keep(Icouples) style(tex) replace nomtitles
				nogaps nonumbers width(\hsize) alignment(c)
				not compress noobs
				coeflabel(Icouples "Assigned to\\Couple Treatment") tex nogaps  
				prehead(\begin{table}[htbp]\centering
				\def\sym#1{\ifmmode^{#1}\else\(^{#1}\)\fi}
				\caption{Effect of Private Information Treatment on Households in Which Both Husband and Wife Do Not Want a Child in Next 2 Years \label{tab:reg2}}
				\scalebox{0.9}{\begin{tabular}{l c*{6}{c}} 
				\toprule
				\multicolumn{6}{l}{\textbf{Panel A: Without Controls}} \\
				\midrule)
				postfoot(\hline);

	esttab B D F H J L using "$dir/Regs2.tex", b(%9.3f) se(%9.3f) star append
			starl(* .1 ** .05 *** .01)  stats(N mean, label("N" "Mean of Outcome Variable\\among Individual Treatment") fmt(0 3))
			nogaps nonumbers width(\hsize) alignment(c)
			not compress noobs
			keep(Icouples) style(tex) nomtitles
			coeflabel(Icouples "Assigned to\\Couple Treatment") tex nogaps  
			prehead(
			\toprule     \multicolumn{6}{l}{\textbf{Panel B: With Controls}} \\ \midrule)
			postfoot(\bottomrule
			\multicolumn{7}{l}{\footnotesize * p<.1, ** p<.05, *** p<.01}\\
			\multicolumn{7}{l}{\footnotesize [1] A responder is defined as a women who doesn't want a child in the next two years who believes her husband wants} \\
			\multicolumn{7}{l}{\footnotesize to have more children than they currently have and who also believes her husband wants more children than she does.} \\
			\multicolumn{7}{l}{\footnotesize Non-responders didn't satisfy these requirements and didn't have missing information on the relevant variables.} \\
			\multicolumn{7}{l}{\footnotesize [2] Controls include: age, husband's age, education, husband's education, number of children, wife's ideal \# of } \\
			\multicolumn{7}{l}{\footnotesize children, husband's ideal \# of children, using injectables at baseline, using pill at baseline, using any hormonal} \\
			\multicolumn{7}{l}{\footnotesize contraceptive at baseline, wife's monthly income, husband's monthly income, difference in desired fertility of couple,} \\
			\multicolumn{7}{l}{\footnotesize wife knows when she is most fertile, woman's age > 40, time since last birth, difference between husband's and wife's} \\
			\multicolumn{7}{l}{\footnotesize total number of children, and compound indicators.} \\
			\multicolumn{7}{l}{\footnotesize [3] Missing values for controls were replaced with a zero and dummy variables for missing values were included in} \\
			\multicolumn{7}{l}{\footnotesize the regression.} \\
			\multicolumn{7}{l}{\footnotesize [4] A voucher was "redeemed" if there is a record of a voucher use by a woman in the study at the Chipata Clinic.}
			\end{tabular}} \end{table});
	#delimit cr




/* ======================================================================================== */
/*	Table 4  Regression Results - Separation Among Husband and Wife Don' Want Child in 2	*/  
/* ======================================================================================== */

***HDP: Replicates Table 4, Panel A 

	eststo clear

	eststo A: reg separated2 Icouples if ittsample4_follow == 1 
	eststo B: reg violence_follow Icouples if ittsample4_follow == 1 
	eststo C: reg cur_using_condom Icouples if ittsample4_follow == 1 
	eststo D: reg separated2 Icouples if ittsample4_follow == 1 & responder_m==1
	eststo E: reg violence_follow Icouples if ittsample4_follow == 1 & responder_m==1
	eststo F: reg cur_using_condom Icouples if ittsample4_follow == 1 & responder_m==1
	eststo G: reg separated2 Icouples if ittsample4_follow == 1 & responder_m==0
	eststo H: reg violence_follow Icouples if ittsample4_follow == 1 & responder_m==0
	eststo I: reg cur_using_condom Icouples if ittsample4_follow == 1 & responder_m==0

#delimit ;
		esttab A B C D E F G H I using "$dir/Regs1 App.tex", b(%9.3f) se(%9.3f) star
				starl(* .1 ** .05 *** .01) 
				posthead(&\multicolumn{3}{c}{All Women} &\multicolumn{3}{c}{Responders} &\multicolumn{3}{c}{Non-Responder}
				\\\cmidrule(lr){2-4}\cmidrule(lr){5-7}\cmidrule(lr){8-10} 
				&\multicolumn{1}{c}{Separated} &\multicolumn{1}{c}{Domestic} &\multicolumn{1}{c}{Using} &\multicolumn{1}{c}{Separated} 
				&\multicolumn{1}{c}{Domestic} &\multicolumn{1}{c}{Using} &\multicolumn{1}{c}{Separated} &\multicolumn{1}{c}{Domestic} 
				&\multicolumn{1}{c}{Using} \\ 
				&\multicolumn{1}{c}{} &\multicolumn{1}{c}{Violence} &\multicolumn{1}{c}{Condom} &\multicolumn{1}{c}{} 
				&\multicolumn{1}{c}{Violence} &\multicolumn{1}{c}{Condom} &\multicolumn{1}{c}{} &\multicolumn{1}{c}{Violence} 
				&\multicolumn{1}{c}{Condom} \\

				&\multicolumn{1}{c}{[1]} &\multicolumn{1}{c}{[2]} &\multicolumn{1}{c}{[3]} &\multicolumn{1}{c}{[4]} 
				&\multicolumn{1}{c}{[5]} &\multicolumn{1}{c}{[6]} &\multicolumn{1}{c}{[7]} &\multicolumn{1}{c}{[8]} 
				&\multicolumn{1}{c}{[9]} \\\hline)
				keep(Icouples) style(tex) replace nomtitles
				nogaps nonumbers width(\hsize) alignment(c)
				not compress noobs
				coeflabel(Icouples "Assigned to\\Couple\\Treatment") tex nogaps  
				prehead(\begin{table}[htbp]\centering
				\def\sym#1{\ifmmode^{#1}\else\(^{#1}\)\fi}
				\caption{Effect of Private Information Treatment on Households - Potential Adverse Effects of Intervention \label{tab:reg4}}
				\scalebox{0.9}{\begin{tabular}{l c*{9}{c}} 
				\toprule
				\multicolumn{9}{l}{\textbf{Panel A: Without Controls}} \\
				\midrule)
				postfoot(\hline);

	#delimit cr

***HDP: Replicates Table 4, Panel B 
	
eststo clear
	eststo A: reg separated2 Icouples $indep $dummy if ittsample4_follow == 1 
	sum separated2 if ittsample4_follow == 1 & Iindividual==1
	estadd r(mean)
	eststo B: reg violence_follow Icouples $indep $dummy if ittsample4_follow == 1 
	sum violence_follow if ittsample4_follow == 1 & Iindividual==1
	estadd r(mean)
	eststo C: reg cur_using_condom Icouples $indep $dummy if ittsample4_follow == 1
	sum cur_using_condom if ittsample4_follow == 1 & Iindividual==1
	estadd r(mean)
	eststo D: reg separated2 Icouples $indep2 $dummy2 if ittsample4_follow == 1 & responder_m==1
	sum separated2 if ittsample4_follow == 1 & Iindividual==1 & responder_m==1
	estadd r(mean)
	eststo E: reg violence_follow Icouples $indep2 $dummy2 if ittsample4_follow == 1 & responder_m==1
	sum violence_follow if ittsample4_follow == 1 & Iindividual==1 & responder_m==1
	estadd r(mean)
	eststo F: reg cur_using_condom Icouples $indep2 $dummy2 if ittsample4_follow == 1 & responder_m==1
	sum cur_using_condom if ittsample4_follow == 1 & Iindividual==1 & responder_m==1
	estadd r(mean)
	eststo G: reg separated2 Icouples $indep2 $dummy2 if ittsample4_follow == 1 & responder_m==0
	sum separated2 if ittsample4_follow == 1 & Iindividual==1 & responder_m==0
	estadd r(mean)
	eststo H: reg violence_follow Icouples $indep2 $dummy2 if ittsample4_follow == 1 & responder_m==0
	sum violence_follow if ittsample4_follow == 1 & Iindividual==1 & responder_m==0
	estadd r(mean)
	eststo I: reg cur_using_condom Icouples $indep2 $dummy2 if ittsample4_follow == 1 & responder_m==0
	sum cur_using_condom if ittsample4_follow == 1 & Iindividual==1 & responder_m==0
	estadd r(mean)

	
#delimit;
	esttab A B C D E F G H I using "$dir/Regs1 App.tex", b(%9.3f) se(%9.3f) star append
			starl(* .1 ** .05 *** .01) stats(N mean, label("N" "Mean of Outcome Variable\\among Individual Treatment") fmt(0 3))
			nogaps nonumbers width(\hsize) alignment(c)
			not compress noobs
			keep(Icouples) style(tex) nomtitles
			coeflabel(Icouples "Assigned to\\Couple\\Treatment") tex nogaps  
			prehead(\toprule     \multicolumn{9}{l}{\textbf{Panel B: With Controls}} \\ \midrule)
			postfoot(\bottomrule
			\multicolumn{10}{l}{\footnotesize * p<.1, ** p<.05, *** p<.01}\\
			\multicolumn{10}{l}{\footnotesize [1] A responder is defined as a women who doesn't want a child in the next two years who believes her husband wants to have more children than} \\
			\multicolumn{10}{l}{\footnotesize they currently have and who also believes her husband wants more children than she does.  Non-responders didn't satisfy these requirements and} \\
			\multicolumn{10}{l}{\footnotesize didn't have missing information on the relevant variables.} \\
			\multicolumn{10}{l}{\footnotesize [2] Controls are same as Table 3.} \\    
			\multicolumn{10}{l}{\footnotesize [3] Domestic violence at follow-up is measured using the following question: Has your husband ever been physically violent toward you?} \\    
			\end{tabular}} \end{table});
	
	#delimit cr

/* ======================================================================== */
/*	Table 5  Regression Results - Husband and Wife Don' Want Child in 2		*/  
/* ======================================================================== */

***HDP: replicates Table 5, Panel A 

	eststo clear

	eststo A: reg satisfied Icouples if ittsample4_follow == 1 
	eststo B: reg healthier Icouples if ittsample4_follow == 1 
	eststo C: reg happier Icouples if ittsample4_follow == 1 
	eststo D: reg satisfied Icouples if ittsample4_follow == 1 & responder_m==1
	eststo E: reg healthier Icouples if ittsample4_follow == 1 & responder_m==1
	eststo F: reg happier Icouples if ittsample4_follow == 1 & responder_m==1
	eststo G: reg satisfied Icouples if ittsample4_follow == 1 & responder_m==0
	eststo H: reg healthier Icouples if ittsample4_follow == 1 & responder_m==0
	eststo I: reg happier Icouples if ittsample4_follow == 1 & responder_m==0


#delimit ;
		esttab A B C D E F G H I using "$dir/Regs3.tex", b(%9.3f) 
				se(%9.3f) 
				star  
				starl(* .1 ** .05 *** .01) 
				posthead(&\multicolumn{3}{c}{All Women} &\multicolumn{3}{c}{Responders} &\multicolumn{3}{c}{Non-Responder}
				\\\cmidrule(lr){2-4}\cmidrule(lr){5-7}\cmidrule(lr){8-10} 
				&\multicolumn{1}{c}{Satisfaction} &\multicolumn{1}{c}{Health} &\multicolumn{1}{c}{Happiness} &\multicolumn{1}{c}{Satisfaction} 
				&\multicolumn{1}{c}{Health} &\multicolumn{1}{c}{Happiness} &\multicolumn{1}{c}{Satisfaction} &\multicolumn{1}{c}{Health} 
				&\multicolumn{1}{c}{Happiness} \\
				&\multicolumn{1}{c}{[1]} &\multicolumn{1}{c}{[2]} &\multicolumn{1}{c}{[3]} &\multicolumn{1}{c}{[4]} 
				&\multicolumn{1}{c}{[5]} &\multicolumn{1}{c}{[6]} &\multicolumn{1}{c}{[7]} &\multicolumn{1}{c}{[8]} 
				&\multicolumn{1}{c}{[9]} \\\hline)
				keep(Icouples) 
				style(tex) 
				replace 
				nomtitles
				nogaps 
				nonumbers 
				width(\hsize) 
				alignment(c)
				not 
				compress 
				noobs
				coeflabel(Icouples "Assigned to\\Couple\\Treatment") 
				tex 
				nogaps  
				prehead(\begin{table}[htbp]\centering
				\def\sym#1{\ifmmode^{#1}\else\(^{#1}\)\fi}
				\caption{Effect of Private Information Treatment on Households - Measures of Well Being \label{tab:reg3}}
				\scalebox{0.9}{\begin{tabular}{l c*{9}{c}} 
				\toprule
				\multicolumn{9}{l}{\textbf{Panel A: Without Controls}} \\
				\midrule)
				postfoot(\hline);
		

	#delimit cr

**HDP: Replicates Table 5, Panel B
	
eststo clear
	eststo A: reg satisfied Icouples $indep $dummy if ittsample4_follow == 1 
	sum satisfied if ittsample4_follow == 1 & Iindividual==1 
	estadd r(mean)
	eststo B: reg healthier Icouples $indep $dummy if ittsample4_follow == 1 
	sum healthier if ittsample4_follow == 1 & Iindividual==1 
	estadd r(mean)
	eststo C: reg happier Icouples $indep $dummy if ittsample4_follow == 1 
	sum happier if ittsample4_follow == 1 & Iindividual==1 
	estadd r(mean)
	eststo D: reg satisfied Icouples $indep2 $dummy2 if ittsample4_follow == 1 & responder_m==1
	sum satisfied if ittsample4_follow == 1 & Iindividual==1 & responder_m==1
	estadd r(mean)
	eststo E: reg healthier Icouples $indep2 $dummy2 if ittsample4_follow == 1 & responder_m==1
	sum healthier if ittsample4_follow == 1 & Iindividual==1 & responder_m==1
	estadd r(mean)
	eststo F: reg happier Icouples $indep2 $dummy2 if ittsample4_follow == 1 & responder_m==1
	sum happier if ittsample4_follow == 1 & Iindividual==1 & responder_m==1
	estadd r(mean)
	eststo G: reg satisfied Icouples $indep2 $dummy2 if ittsample4_follow == 1 & responder_m==0
	sum satisfied if ittsample4_follow == 1 & Iindividual==1 & responder_m==0
	estadd r(mean)
	eststo H: reg healthier Icouples $indep2 $dummy2 if ittsample4_follow == 1 & responder_m==0
	sum healthier if ittsample4_follow == 1 & Iindividual==1 & responder_m==0
	estadd r(mean)
	eststo I: reg happier Icouples $indep2 $dummy2 if ittsample4_follow == 1 & responder_m==0
	sum happier if ittsample4_follow == 1 & Iindividual==1 & responder_m==0
	estadd r(mean)

	
#delimit;
	esttab A B C D E F G H I using "$dir/Regs3.tex", b(%9.3f) se(%9.3f) star append
			starl(* .1 ** .05 *** .01) stats(N mean, label("N" "Mean of Outcome Variable\\among Individual Treatment") fmt(0 3))
			nogaps nonumbers width(\hsize) alignment(c)
			not compress noobs
			keep(Icouples) style(tex) nomtitles
			coeflabel(Icouples "Assigned to\\Couple\\Treatment") tex nogaps 
			prehead(\toprule     \multicolumn{9}{l}{\textbf{Panel B: With Controls}} \\ \midrule)
			postfoot(\bottomrule
			\multicolumn{10}{l}{\footnotesize * p<.1, ** p<.05, *** p<.01}\\
			\multicolumn{10}{l}{\footnotesize [1] A responder is defined as a women who doesn't want a child in the next two years who believes her husband wants to have more children than} \\
			\multicolumn{10}{l}{\footnotesize they currently have and who also believes her husband wants more children than she does.  Non-responders didn't satisfy these requirements and} \\
			\multicolumn{10}{l}{\footnotesize didn't have missing information on the relevant variables.} \\
			\multicolumn{10}{l}{\footnotesize [2] Controls are same as Table 3.} \\
			\multicolumn{10}{l}{\footnotesize [3] Satisfaction is measured using the following question: All things considered, how satisfied are you with your life as a whole these days?} \\                                                                                                                                                      
			\multicolumn{10}{l}{\footnotesize Please tell me which number on this scale more adequately represents your level of satisfaction with your life as a whole: 1 means you are ?} \\ 
			\multicolumn{10}{l}{\footnotesize "Completely Dissatisfied" and 5 means you are "Completely Satisfied".} \\    
			\multicolumn{10}{l}{\footnotesize [4] Health is measured using the following question: Compared to women in your community of the same age, how would you describe your overall health?} \\                                                                                                                                                        
			\multicolumn{10}{l}{\footnotesize [5] Happiness is measured using the following question: Compared to women in your community of the same age, how would you describe your overall} \\ 
			\multicolumn{10}{l}{\footnotesize level of happiness and peace of mind? "Very Unhappy or Discontent" is coded as 1 and "Very Happy and Content" is coded as 5.} \\  
			\multicolumn{10}{l}{\footnotesize [6] An individual was considered satisfied, healthy or happy if they responded with a value great than or equal to 4 for the above questions.} \\  
			\end{tabular}} \end{table});
	
	#delimit cr
	
/* ============================================================ */
/*	Table A.1  Summary Statistics - ITT Sample				  	*/  
/* ============================================================ */

use "$dir/fertility_summarystats.dta", clear
eststo clear

**HDP: replicates Table A.1 

**HDP: Creating 45*7 matrix, full N of 932. All variables, all 7 columns

local i =0
foreach v of varlist $vars1 $vars2 $vars3 $vars4 $vars5 {
  	local i = `i' + 1
	quietly: reg `v' Iindividual if ittsample==1
	estimates store e_`i'
	scalar indiv =  _b[Iindividual] +  _b[_cons]
	scalar couple = _b[_cons]
	scalar dfr = e(df_r) 
	scalar t_stat = _b[Iindividual] / _se[Iindividual]
	scalar pval = 2*ttail(dfr,abs(t_stat))
	qui count if Iindividual==1 & e(sample)==1
	scalar indiv_n = r(N)
	scalar couple_n = e(N)-r(N)
	matrix R_`i'=(indiv,_se[Iindividual],indiv_n,couple,_se[_cons],couple_n,pval)
	}
matrix Rall4= [R_1\R_2\R_3\R_4\R_5\R_6\R_7\R_8\R_9\R_10\R_11\R_12\R_13\R_14\R_15\R_16\R_17\R_18\R_19\R_20\R_21\R_22\R_23\R_24\R_25\R_26\R_27\R_28\R_29\R_30\R_31\R_32\R_33\R_34\R_35\R_36\R_37\R_38\R_39\R_40\R_41\R_42\R_43\R_44\R_45]
matrix rownames Rall4 = $vars1 $vars2 $vars3 $vars4 $vars5
matrix colnames Rall4 = mI seI NI mC seC NC Pval

**HDP: Creates 6 1*45 matrices, tmpmI, etc, that output mean/SE info for each of the 45 vars 

foreach v in mI seI NI mC seC NC Pval {
matrix  tmp`v' = Rall4[1...,"`v'"]'
ereturn post
estadd matrix A = tmp`v'
eststo `v'
}

qui suest e_*

**HDP: testing combined significance that all means = 0.  

test [e_1_mean]Iindividual [e_2_mean]Iindividual [e_3_mean]Iindividual [e_4_mean]Iindividual [e_5_mean]Iindividual [e_6_mean]Iindividual [e_7_mean]Iindividual [e_8_mean]Iindividual [e_9_mean]Iindividual [e_10_mean]Iindividual ///
	[e_11_mean]Iindividual [e_12_mean]Iindividual [e_13_mean]Iindividual [e_14_mean]Iindividual [e_15_mean]Iindividual [e_16_mean]Iindividual [e_17_mean]Iindividual [e_18_mean]Iindividual [e_19_mean]Iindividual [e_20_mean]Iindividual ///
	[e_21_mean]Iindividual [e_22_mean]Iindividual [e_23_mean]Iindividual [e_24_mean]Iindividual [e_25_mean]Iindividual [e_26_mean]Iindividual [e_27_mean]Iindividual [e_28_mean]Iindividual [e_29_mean]Iindividual 

estadd scalar chi2_itt4 = r(chi2) : Pval
estadd scalar chi_p_itt4 = r(p): Pval

**HDP: making LaTex table, Table A.1, Panel A; 

#delimit ;
esttab mI seI NI mC seC NC Pval using "$dir/Summary Table ITT - Panel A.tex" , style(tex) replace nonum
		mgroups("Individual Treatment" "Couple Treatment", pattern(1 0 0 1 0 0 1) prefix(\multicolumn{@span}{c}{) suffix(}) span erepeat(\cmidrule(lr){@span})) 
		title("Summary Statistics for Recruited Sample") mtitles("Mean" "SE" "N" "Mean" "SE" "N" "P-Value") not
		main(A) compress keep($vars1 $vars2 $vars3) noobs stats(chi2_itt4 chi_p_itt4, labels("Joint F Statistic" "P-value"))
		prehead(\begin{table}[htbp]\centering
		\def\sym#1{\ifmmode^{#1}\else\(^{#1}\)\fi}
		\caption{Summary Statistics for Recruited Sample \label{tab:tab1}}
		\scalebox{0.5}{\begin{tabular}{l c*{6}{c}} \hline)
		posthead(\toprule
				\multicolumn{6}{l}{\textbf{Panel A}} \\
				\midrule)
		postfoot(\end{tabular}}) 
		tex nogaps  width(\hsize) alignment(c)		
		coeflabels(
		step7_usingany	"Using any method at baseline"
		step3_numchildren	"Number of living children"
		step7_injectables	"Using injectable at baseline"
		step7_pill	"Using pill at baseline"
		step7_hormone	"Using a hormonal contraceptive at baseline"
		timesincelastbirth	"Months since last birth (at recruitment)"
		school	"Highest schooling attained"
		a45_hus_highestschool	"Husband's highest schooling attained (reported by wife)"
		e1_ideal	"Ideal number of children"
		a16_3_ageinyrs	"Age"  
		h_age	"Husband's age (reported by wife)"
		hus3_3_ageinyears	"Husband's age (reported by husband)"
		hus1_highestschool	"Husband's highest schooling attained (reported by husband)"
		e12_hus_ideal	"Husband's ideal number of children (reported by wife)"
		hus12_ideal	"Husband's ideal number of children (reported by husband)"
		everused	"Has ever used a modern contraceptive method"
		tried_inj_base "Has ever used an injectable contraceptive method"
		wife_anyinc	"Wife has monthly income"
		husmonthlyinc	"Husband's average monthly income (1,000 USD) (reported by husband)"
		earned_lastmth	"Wife earned money in previous month"
		husb40	"Husband works 40+ hours"
		mostfertile	"Wife knows when she is most fertile"
		wantschildin2	"Wife wants to become pregnant in following 2 years"
		formalmarr	"Formally married"
		b4marriageage	"Age wife married"
		catholic	"Catholic"
		a37happiness	"Comparison of happiness with other women in region\\(1=very unhappy, 5=very happy)"
		a36health	"Comparison of health with other women in region\\(1=very poor, 5=excellent)"
		yearsinlus	"Number of years respondent lived in Lusaka"
		haselectricity	"Couple has electricity"
		sexdays	"Number of days in past 7 days couple has sex"
		e23sexmonth	"Number of days in past month couple has sex"
		husb_othchild	"Number of children husband has with other women"
		f12	"Frequency at which couple has talked about contraception in last\\year"
		f25d	"Couple has ever disagreed on number of children"
		f26d	"Couple has ever disagreed on contraception use"
		f17hide	"Have used contraceptive method without husband's knowledge"
		wouldhide	"Wife would hide money from husband if given 5000 kwacha"
		wouldhide_h	"Husband would hide money from wife if given 5000 kwacha"
		husb_reg_drinker	"Husband drinks at least 2 to 3 times a week"
		f29	"Husband has ever threatened physical violence"
		f30	"Husband has ever been physically violent conditional on\\having threatened violence"
		e25pressure	"Wife ever pressured to have sex"
		e26violentpre	"Wife ever pressured violently to have sex"
		decide_sav	"Husband decides savings"
		hus_money	"Husband holds the money"
		decide_budg	"Husband does budgeting"
		decide_pur	"Husband decides major purchases")
		;

**HDP: Table A.1 Panel B;	
		
esttab mI seI NI mC seC NC Pval using "$dir/Summary Table ITT - Panel B.tex" , style(tex) replace nonum
		not	main(A) compress keep($vars4 $vars5) noobs
		prehead(
		\scalebox{0.5}{\begin{tabular}{l c*{6}{c}})
		posthead(\toprule
				\multicolumn{6}{l}{\textbf{Panel B}} \\ \noalign{\smallskip}\hline\noalign{\smallskip})
		postfoot(\hline\hline \end{tabular}}\end{table}) 
		tex nogaps  width(\hsize) alignment(c)		
		coeflabels(
		step7_usingany	"Using any method at baseline"
		step3_numchildren	"Number of living children"
		step7_injectables	"Using injectable at baseline"
		step7_pill	"Using pill at baseline"
		step7_hormone	"Using a hormonal contraceptive at baseline"
		timesincelastbirth	"Months since last birth (at recruitment)"
		school	"Highest schooling attained"
		a45_hus_highestschool	"Husband's highest schooling attained (reported by wife)"
		e1_ideal	"Ideal number of children"
		a16_3_ageinyrs	"Age"  
		h_age	"Husband's age (reported by wife)"
		hus3_3_ageinyears	"Husband's age (reported by husband)"
		hus1_highestschool	"Husband's highest schooling attained (reported by husband)"
		e12_hus_ideal	"Husband's ideal number of children (reported by wife)"
		hus12_ideal	"Husband's ideal number of children (reported by husband)"
		everused	"Has ever used a modern contraceptive method"
		tried_inj_base "Has ever used an injectable contraceptive method"
		wife_anyinc	"Wife has monthly income"
		husmonthlyinc	"Husband's average monthly income (1,000 USD) (reported by husband)"
		earned_lastmth	"Wife earned money in previous month"
		husb40	"Husband works 40+ hours"
		mostfertile	"Wife knows when she is most fertile"
		wantschildin2	"Wife wants to become pregnant in following 2 years"
		formalmarr	"Formally married"
		b4marriageage	"Age wife married"
		catholic	"Catholic"
		a37happiness	"Comparison of happiness with other women in region\\(1=very unhappy, 5=very happy)"
		a36health	"Comparison of health with other women in region\\(1=very poor, 5=excellent)"
		yearsinlus	"Number of years respondent lived in Lusaka"
		haselectricity	"Couple has electricity"
		sexdays	"Number of days in past 7 days couple has sex"
		e23sexmonth	"Number of days in past month couple has sex"
		husb_othchild	"Number of children husband has with other women"
		f12	"Frequency at which couple has talked about contraception in last\\year"
		f25d	"Couple has ever disagreed on number of children"
		f26d	"Couple has ever disagreed on contraception use"
		f17hide	"Have used contraceptive method without husband's knowledge"
		wouldhide	"Wife would hide money from husband if given 5000 kwacha"
		wouldhide_h	"Husband would hide money from wife if given 5000 kwacha"
		husb_reg_drinker	"Husband drinks at least 2 to 3 times a week"
		f29	"Husband has ever threatened physical violence"
		f30	"Husband has ever been physically violent conditional on\\having threatened violence"
		e25pressure	"Wife ever pressured to have sex"
		e26violentpre	"Wife ever pressured violently to have sex"
		decide_sav	"Husband decides savings"
		hus_money	"Husband holds the money"
		decide_budg	"Husband does budgeting"
		decide_pur	"Husband decides major purchases")
		;

		#delimit cr
/* ============================================================ */
/*	Table A.2  DHS Comparison				   					*/  
/* ============================================================ */

local appendixa2vars a16_3_ageinyrs	school	step3_numchildren	e1_ideal	fertdesdiff2	injuse	pilluse	h_age	hus3_3_ageinyears	a45_hus_highestschool	hus1_highestschool	e12_hus_ideal	hus12_ideal	anymethod	everused	monthlyinc	husmonthlyinc	mostfertile	wantschildin2	formalmarr	y_diff	age_diff	school_diff	percrealityfert	huswantsmore	huswantssame	huswantsless	sexdays	oth_child	f12talkcontraception	f25disagree_fertility	f26disagree_contraception	f17hidecontraception	f29threat	f30violence	e25pressure	e26violentpressure	decide_sav	hus_money	decide_budg	decide_pur

label var	a16_3_ageinyrs	"Age"
label var	school	"Highest schooling attained"
label var	step3_numchildren	"Number of living children"
label var	e1_ideal	"Ideal number of children"
label var	fertdesdiff2	"Diff in husband's ideal and wife's ideal number of children (reported by wife)"
label var	injuse	"Using injectable at baseline"
label var	pilluse	"Using pill at baseline"

label var	h_age	"Husbands age (reported by wife)"
label var	hus3_3_ageinyears	"Husbands age (reported by husband)"
label var	a45_hus_highestschool	"Husband's highest schooling attained (reported by wife)"
label var	hus1_highestschool	"Husband's highest schooling attained (reported by husband)"
label var	e12_hus_ideal	"Husbands ideal number of children (reported by wife)"
label var	hus12_ideal	"Husbands ideal number of children (reported by husband)"
label var	anymethod	"Using any modern contraceptive method at baseline"
label var	everused	"Have ever used a modern contraceptive method"
label var	monthlyinc	"Average monthly household income (1,000 USD)"
label var	husmonthlyinc	"Husbands average monthly income (1,000 USD) (reported by husband)"
label var	mostfertile	"Wife knows when she is most fertile"
label var	wantschildin2	"Wife would like to have a child in following 2 years"
label var	formalmarr	"Formally married"

label var	y_diff	"Difference in husband's and wife's income"
label var	age_diff	"Difference in husband's and wife's age"
label var	school_diff	"Difference in husband's and wife's education"
label var	percrealityfert	"Diff in wife's perception of husband's ideal and actual ideal nb of children"
label var	huswantsmore	"Husband wants more children"
label var	huswantssame	"Husband wants same number of children"
label var	huswantsless	"Husband wants less children"
label var	sexdays	"Number of days in past 7 days couple had sex"
label var	oth_child	"Number of children husband has with other women"
label var	f12talkcontraception	"Frequency at which couple has talked about contraception in last year"
label var	f25disagree_fertility	"Couple has ever disagreed on number of children"
label var	f26disagree_contraception	"Couple has ever disagreed on contraception use"
label var	f17hidecontraception	"Have used contraceptive method without husbands knowledge"
label var	f29threat	"Husband has ever threatened physical violence"
label var	f30violence	"Husband has ever been physically violent conditional on having threatened violence"
label var	e25pressure	"Wife ever pressured to have sex"
label var	e26violentpressure	"Wife ever pressured violently to have sex"

label var	decide_sav	"Husband decides savings"
label var	hus_money	"Husband holds the money"
label var	decide_budg	"Husband does budgeting"
label var	decide_pur	"Husband decides major purchases"

cd "$dir"
sutex  `appendixa2vars'  if ittsample4==1, digits(2) labels file("DHS_Comparison.tex") replace title("Final Experimental Sample")

	
/* ============================================================ */
/*	Table A.3  Summary Statistics - Responder Sample		  	*/  
/* ============================================================ */


use "$dir/fertility_summarystats.dta", clear
eststo clear

**HDP: Replicates Table A.3

/*Define Sub-Sample where Effect Most Important - Throw out Missing*/
gen h_gt_w_ideal_m = (e12_hus_ideal>e1_ideal) 
replace h_gt_w_ideal_m = . if e12_hus_ideal==. | e1_ideal==.
 
gen h_gt_w_max_m = (e18maxnumber>e7maxnumber) 
replace h_gt_w_max_m = . if (e18maxnumber==. | e7maxnumber==.)

gen h_gt_w_min_m = (e19minnumber_hus>e8minnumber) 
replace h_gt_w_min_m = . if e19minnumber_hus ==. | e8minnumber == .  

gen h_wantsmore_max_m = ((e18maxnumber-currentnumchildren)>0)
replace h_wantsmore_max_m = . if e18maxnumber==. | currentnumchildren==.
 
gen h_wantsmore_ideal_m = (((e12_hus_ideal-currentnumchildren)>0) | e17morekids>0 )
replace h_wantsmore_ideal_m = . if (e12_hus_ideal==. | currentnumchildren==.) & (e17morekids==-9)

gen responder_m = ((h_gt_w_min_m==1 | h_gt_w_ideal_m==1 | h_gt_w_max_m==1) &  h_wantsmore_ideal_m==1 & wantschildin2==0)
replace responder_m = . if ((h_gt_w_min_m==. & h_gt_w_ideal_m==. & h_gt_w_max_m==.) | h_wantsmore_ideal_m==. | wantschildin2==.)

local i =0
foreach v of varlist $vars1 $vars2 $vars3 $vars4 $vars5 {
  	local i = `i' + 1
	quietly: reg `v' Iindividual if ittsample4==1 & responder_m==1
	estimates store e_`i'
	scalar indiv =  _b[Iindividual] +  _b[_cons]
	scalar couple = _b[_cons]
	scalar dfr = e(df_r)
	scalar t_stat = _b[Iindividual] / _se[Iindividual]
	scalar pval = 2*ttail(dfr,abs(t_stat))
	qui count if Iindividual==1 & e(sample)==1
	scalar indiv_n = r(N)
	scalar couple_n = e(N)-r(N)
	matrix R_`i'=(indiv,_se[Iindividual],indiv_n,couple,_se[_cons],couple_n,pval)
	}
matrix Rall4= [R_1\R_2\R_3\R_4\R_5\R_6\R_7\R_8\R_9\R_10\R_11\R_12\R_13\R_14\R_15\R_16\R_17\R_18\R_19\R_20\R_21\R_22\R_23\R_24\R_25\R_26\R_27\R_28\R_29\R_30\R_31\R_32\R_33\R_34\R_35\R_36\R_37\R_38\R_39\R_40\R_41\R_42\R_43\R_44\R_45]
matrix rownames Rall4 = $vars1 $vars2 $vars3 $vars4 $vars5
matrix colnames Rall4 = mI seI NI mC seC NC Pval

foreach v in mI seI NI mC seC NC Pval {
matrix  tmp`v' = Rall4[1...,"`v'"]'
ereturn post
estadd matrix A = tmp`v'
eststo `v'
}

estimates drop e_10
qui suest e_*

test [e_1_mean]Iindividual [e_2_mean]Iindividual [e_3_mean]Iindividual [e_4_mean]Iindividual [e_5_mean]Iindividual [e_6_mean]Iindividual [e_7_mean]Iindividual [e_8_mean]Iindividual [e_9_mean]Iindividual ///
	[e_11_mean]Iindividual [e_12_mean]Iindividual [e_13_mean]Iindividual [e_14_mean]Iindividual [e_15_mean]Iindividual [e_16_mean]Iindividual [e_17_mean]Iindividual [e_18_mean]Iindividual [e_19_mean]Iindividual [e_20_mean]Iindividual ///
	[e_21_mean]Iindividual [e_22_mean]Iindividual [e_23_mean]Iindividual [e_24_mean]Iindividual [e_25_mean]Iindividual [e_26_mean]Iindividual [e_27_mean]Iindividual [e_28_mean]Iindividual [e_29_mean]Iindividual

estadd scalar chi2_itt4 = r(chi2) : Pval
estadd scalar chi_p_itt4 = r(p): Pval

#delimit ;
esttab mI seI NI mC seC NC Pval using "$dir/Summary Table Responder - Panel A.tex" , style(tex) replace nonum
		mgroups("Individual Treatment" "Couple Treatment", pattern(1 0 0 1 0 0 1) prefix(\multicolumn{@span}{c}{) suffix(}) span erepeat(\cmidrule(lr){@span})) 
		title("Summary Statistics for Responder Sample") mtitles("Mean" "SE" "N" "Mean" "SE" "N" "P-Value") not
		main(A) compress keep($vars1 $vars2 $vars3) noobs stats(chi2_itt4 chi_p_itt4, labels("Joint F Statistic" "P-value"))
		prehead(\begin{table}[htbp]\centering
		\def\sym#1{\ifmmode^{#1}\else\(^{#1}\)\fi}
		\caption{Summary Statistics for Responder Sample \label{tab:tab3}}
		\scalebox{0.5}{\begin{tabular}{l c*{6}{c}} \hline)
		posthead(\toprule
				\multicolumn{6}{l}{\textbf{Panel A}} \\
				\midrule)
		postfoot(\end{tabular}}) 
		tex nogaps  width(\hsize) alignment(c)		
		coeflabels(
		step7_usingany	"Using any method at baseline"
		step3_numchildren	"Number of living children"
		step7_injectables	"Using injectable at baseline"
		step7_pill	"Using pill at baseline"
		step7_hormone	"Using a hormonal contraceptive at baseline"
		timesincelastbirth	"Months since last birth (at recruitment)"
		school	"Highest schooling attained"
		a45_hus_highestschool	"Husband's highest schooling attained (reported by wife)"
		e1_ideal	"Ideal number of children"
		a16_3_ageinyrs	"Age"  
		h_age	"Husband's age (reported by wife)"
		hus3_3_ageinyears	"Husband's age (reported by husband)"
		hus1_highestschool	"Husband's highest schooling attained (reported by husband)"
		e12_hus_ideal	"Husband's ideal number of children (reported by wife)"
		hus12_ideal	"Husband's ideal number of children (reported by husband)"
		everused	"Has ever used a modern contraceptive method"
		tried_inj_base "Has ever used an injectable contraceptive method"
		wife_anyinc	"Wife has monthly income"
		husmonthlyinc	"Husband's average monthly income (1,000 USD) (reported by husband)"
		earned_lastmth	"Wife earned money in previous month"
		husb40	"Husband works 40+ hours"
		mostfertile	"Wife knows when she is most fertile"
		wantschildin2	"Wife wants to become pregnant in following 2 years"
		formalmarr	"Formally married"
		b4marriageage	"Age wife married"
		catholic	"Catholic"
		a37happiness	"Comparison of happiness with other women in region\\(1=very unhappy, 5=very happy)"
		a36health	"Comparison of health with other women in region\\(1=very poor, 5=excellent)"
		yearsinlus	"Number of years respondent lived in Lusaka"
		haselectricity	"Couple has electricity"
		sexdays	"Number of days in past 7 days couple has sex"
		e23sexmonth	"Number of days in past month couple has sex"
		husb_othchild	"Number of children husband has with other women"
		f12	"Frequency at which couple has talked about contraception in last\\year"
		f25d	"Couple has ever disagreed on number of children"
		f26d	"Couple has ever disagreed on contraception use"
		f17hide	"Have used contraceptive method without husband's knowledge"
		wouldhide	"Wife would hide money from husband if given 5000 kwacha"
		wouldhide_h	"Husband would hide money from wife if given 5000 kwacha"
		husb_reg_drinker	"Husband drinks at least 2 to 3 times a week"
		f29	"Husband has ever threatened physical violence"
		f30	"Husband has ever been physically violent conditional on\\having threatened violence"
		e25pressure	"Wife ever pressured to have sex"
		e26violentpre	"Wife ever pressured violently to have sex"
		decide_sav	"Husband decides savings"
		hus_money	"Husband holds the money"
		decide_budg	"Husband does budgeting"
		decide_pur	"Husband decides major purchases");
		
esttab mI seI NI mC seC NC Pval using "$dir/Summary Table Responder - Panel B.tex" , style(tex) replace nonum
		not	main(A) compress keep($vars4 $vars5) noobs
		prehead(
		\scalebox{0.5}{\begin{tabular}{l c*{6}{c}})
		posthead(\toprule
				\multicolumn{6}{l}{\textbf{Panel B}} \\ \noalign{\smallskip}\hline\noalign{\smallskip})
		postfoot(\hline\hline \end{tabular}}\end{table}) 
		tex nogaps  width(\hsize) alignment(c)		
		coeflabels(
		step7_usingany	"Using any method at baseline"
		step3_numchildren	"Number of living children"
		step7_injectables	"Using injectable at baseline"
		step7_pill	"Using pill at baseline"
		step7_hormone	"Using a hormonal contraceptive at baseline"
		timesincelastbirth	"Months since last birth (at recruitment)"
		school	"Highest schooling attained"
		a45_hus_highestschool	"Husband's highest schooling attained (reported by wife)"
		e1_ideal	"Ideal number of children"
		a16_3_ageinyrs	"Age"  
		h_age	"Husband's age (reported by wife)"
		hus3_3_ageinyears	"Husband's age (reported by husband)"
		hus1_highestschool	"Husband's highest schooling attained (reported by husband)"
		e12_hus_ideal	"Husband's ideal number of children (reported by wife)"
		hus12_ideal	"Husband's ideal number of children (reported by husband)"
		everused	"Has ever used a modern contraceptive method"
		tried_inj_base "Has ever used an injectable contraceptive method"
		wife_anyinc	"Wife has monthly income"
		husmonthlyinc	"Husband's average monthly income (1,000 USD) (reported by husband)"
		earned_lastmth	"Wife earned money in previous month"
		husb40	"Husband works 40+ hours"
		mostfertile	"Wife knows when she is most fertile"
		wantschildin2	"Wife wants to become pregnant in following 2 years"
		formalmarr	"Formally married"
		b4marriageage	"Age wife married"
		catholic	"Catholic"
		a37happiness	"Comparison of happiness with other women in region\\(1=very unhappy, 5=very happy)"
		a36health	"Comparison of health with other women in region\\(1=very poor, 5=excellent)"
		yearsinlus	"Number of years respondent lived in Lusaka"
		haselectricity	"Couple has electricity"
		sexdays	"Number of days in past 7 days couple has sex"
		e23sexmonth	"Number of days in past month couple has sex"
		husb_othchild	"Number of children husband has with other women"
		f12	"Frequency at which couple has talked about contraception in last\\year"
		f25d	"Couple has ever disagreed on number of children"
		f26d	"Couple has ever disagreed on contraception use"
		f17hide	"Have used contraceptive method without husband's knowledge"
		wouldhide	"Wife would hide money from husband if given 5000 kwacha"
		wouldhide_h	"Husband would hide money from wife if given 5000 kwacha"
		husb_reg_drinker	"Husband drinks at least 2 to 3 times a week"
		f29	"Husband has ever threatened physical violence"
		f30	"Husband has ever been physically violent conditional on\\having threatened violence"
		e25pressure	"Wife ever pressured to have sex"
		e26violentpre	"Wife ever pressured violently to have sex"
		decide_sav	"Husband decides savings"
		hus_money	"Husband holds the money"
		decide_budg	"Husband does budgeting"
		decide_pur	"Husband decides major purchases");

		#delimit cr

				
	
/* ============================================================ */
/*	Table A.4  Summary Statistics - Doesn't Want Child in 2	  	*/  
/* ============================================================ */

***HDP: Replicates Table A.4		


use "$dir/fertility_summarystats.dta", clear
eststo clear

/*Define Sub-Sample where Effect Most Important - Throw out Missing*/
gen h_gt_w_ideal_m = (e12_hus_ideal>e1_ideal) 
replace h_gt_w_ideal_m = . if e12_hus_ideal==. | e1_ideal==.
 
gen h_gt_w_max_m = (e18maxnumber>e7maxnumber) 
replace h_gt_w_max_m = . if (e18maxnumber==. | e7maxnumber==.)

gen h_gt_w_min_m = (e19minnumber_hus>e8minnumber) 
replace h_gt_w_min_m = . if e19minnumber_hus ==. | e8minnumber == .  

gen h_wantsmore_max_m = ((e18maxnumber-currentnumchildren)>0)
replace h_wantsmore_max_m = . if e18maxnumber==. | currentnumchildren==.
 
gen h_wantsmore_ideal_m = (((e12_hus_ideal-currentnumchildren)>0) | e17morekids>0 )
replace h_wantsmore_ideal_m = . if (e12_hus_ideal==. | currentnumchildren==.) & (e17morekids==-9)

gen responder_m = ((h_gt_w_min_m==1 | h_gt_w_ideal_m==1 | h_gt_w_max_m==1) &  h_wantsmore_ideal_m==1 & wantschildin2==0)
replace responder_m = . if ((h_gt_w_min_m==. & h_gt_w_ideal_m==. & h_gt_w_max_m==.) | h_wantsmore_ideal_m==. | wantschildin2==.)

gen wantschildin2_hus=(hus_20>=0 & hus_20<=24) | hus16==1
replace wantschildin2_hus=. if hus_20==. & hus16==.

gen subsample_test = (ittsample4 == 1 & wantschildin2==0 & wantschildin2_hus==0)

egen min_child_age = rowmin(d7child*_age)

		
eststo clear
local i =0
foreach v of varlist $vars1 $vars2 $vars3 $vars4 $vars5 min_child_age {
  	local i = `i' + 1
	quietly: reg `v' Iindividual if ittsample4 == 1 & wantschildin2==0 & wantschildin2_hus==0 
	estimates store e_`i'
	scalar indiv =  _b[Iindividual] +  _b[_cons]
	scalar couple = _b[_cons]
	scalar dfr = e(df_r)
	scalar t_stat = _b[Iindividual] / _se[Iindividual]
	scalar pval = 2*ttail(dfr,abs(t_stat))
	qui count if Iindividual==1 & e(sample)==1
	scalar indiv_n = r(N)
	scalar couple_n = e(N)-r(N)
	matrix R_`i'=(indiv,_se[Iindividual],indiv_n,couple,_se[_cons],couple_n,pval)
	}
matrix Rall4= [R_1\R_2\R_3\R_4\R_5\R_6\R_7\R_8\R_9\R_10\R_11\R_12\R_13\R_14\R_15\R_16\R_17\R_18\R_19\R_20\R_21\R_22\R_23\R_24\R_25\R_26\R_27\R_28\R_29\R_30\R_31\R_32\R_33\R_34\R_35\R_36\R_37\R_38\R_39\R_40\R_41\R_42\R_43\R_44\R_45\R_46]
matrix rownames Rall4 = $vars1 $vars2 $vars3 $vars4 $vars5 min_child_age
matrix colnames Rall4 = mI seI NI mC seC NC Pval

foreach v in mI seI NI mC seC NC Pval {
matrix  tmp`v' = Rall4[1...,"`v'"]'
ereturn post
estadd matrix A = tmp`v'
eststo `v'
}

estimates drop e_10
qui suest e_*

test [e_1_mean]Iindividual [e_2_mean]Iindividual [e_3_mean]Iindividual [e_4_mean]Iindividual [e_5_mean]Iindividual [e_6_mean]Iindividual [e_7_mean]Iindividual [e_8_mean]Iindividual [e_9_mean]Iindividual ///
	[e_11_mean]Iindividual [e_12_mean]Iindividual [e_13_mean]Iindividual [e_14_mean]Iindividual [e_15_mean]Iindividual [e_16_mean]Iindividual [e_17_mean]Iindividual [e_18_mean]Iindividual [e_19_mean]Iindividual [e_20_mean]Iindividual ///
	[e_21_mean]Iindividual [e_22_mean]Iindividual [e_23_mean]Iindividual [e_24_mean]Iindividual [e_25_mean]Iindividual [e_26_mean]Iindividual [e_27_mean]Iindividual [e_28_mean]Iindividual [e_29_mean]Iindividual

estadd scalar chi2_itt4 = r(chi2) : Pval
estadd scalar chi_p_itt4 = r(p): Pval

#delimit ;
esttab mI seI NI mC seC NC Pval using "$dir/Summary Table NoChild2.tex" , style(tex) replace nonum
		mgroups("Individual Treatment" "Couple Treatment", pattern(1 0 0 1 0 0 1) prefix(\multicolumn{@span}{c}{) suffix(}) span erepeat(\cmidrule(lr){@span})) 
		title("Summary Statistics for Responder Sample") mtitles("Mean" "SE" "N" "Mean" "SE" "N" "P-Value") not
		main(A) compress keep($vars1 $vars2 $vars3) noobs stats(chi2_itt4 chi_p_itt4, labels("Joint F Statistic" "P-value"))
		prehead(\begin{table}[htbp]\centering
		\def\sym#1{\ifmmode^{#1}\else\(^{#1}\)\fi}
		\caption{Summary Statistics for Households in Which Both Husband and Wife Don't Want a Child in the Next 2 Years \label{tab:subsample}}
		\scalebox{0.8}{\begin{tabular}{l c*{6}{c}} \hline)
		posthead(\toprule)
				postfoot(\hline\hline \end{tabular}}\end{table}) 
		tex nogaps  width(\hsize) alignment(c)		
		coeflabels(
		step7_usingany	"Using any method at baseline"
		step3_numchildren	"Number of living children"
		step7_injectables	"Using injectable at baseline"
		step7_pill	"Using pill at baseline"
		step7_hormone	"Using a hormonal contraceptive at baseline"
		timesincelastbirth	"Months since last birth (at recruitment)"
		school	"Highest schooling attained"
		a45_hus_highestschool	"Husband's highest schooling attained (reported by wife)"
		e1_ideal	"Ideal number of children"
		a16_3_ageinyrs	"Age"  
		h_age	"Husband's age (reported by wife)"
		hus3_3_ageinyears	"Husband's age (reported by husband)"
		hus1_highestschool	"Husband's highest schooling attained (reported by husband)"
		e12_hus_ideal	"Husband's ideal number of children (reported by wife)"
		hus12_ideal	"Husband's ideal number of children (reported by husband)"
		everused	"Has ever used a modern contraceptive method"
		tried_inj_base "Has ever used an injectable contraceptive method"
		wife_anyinc	"Wife has monthly income"
		husmonthlyinc	"Husband's average monthly income (1,000 USD) (reported by husband)"
		earned_lastmth	"Wife earned money in previous month"
		husb40	"Husband works 40+ hours"
		mostfertile	"Wife knows when she is most fertile"
		wantschildin2	"Wife wants to become pregnant in following 2 years"
		formalmarr	"Formally married"
		b4marriageage	"Age wife married"
		catholic	"Catholic"
		a37happiness	"Comparison of happiness with other women in region\\(1=very unhappy, 5=very happy)"
		a36health	"Comparison of health with other women in region\\(1=very poor, 5=excellent)"
		yearsinlus	"Number of years respondent lived in Lusaka"
		haselectricity	"Couple has electricity"
		sexdays	"Number of days in past 7 days couple has sex"
		e23sexmonth	"Number of days in past month couple has sex"
		husb_othchild	"Number of children husband has with other women"
		f12	"Frequency at which couple has talked about contraception in last\\year"
		f25d	"Couple has ever disagreed on number of children"
		f26d	"Couple has ever disagreed on contraception use"
		f17hide	"Have used contraceptive method without husband's knowledge"
		wouldhide	"Wife would hide money from husband if given 5000 kwacha"
		wouldhide_h	"Husband would hide money from wife if given 5000 kwacha"
		husb_reg_drinker	"Husband drinks at least 2 to 3 times a week"
		f29	"Husband has ever threatened physical violence"
		f30	"Husband has ever been physically violent conditional on\\having threatened violence"
		e25pressure	"Wife ever pressured to have sex"
		e26violentpre	"Wife ever pressured violently to have sex"
		decide_sav	"Husband decides savings"
		hus_money	"Husband holds the money"
		decide_budg	"Husband does budgeting"
		decide_pur	"Husband decides major purchases");
/*	
esttab mI seI NI mC seC NC Pval using "$dir/Summary Table NoChild2 - Panel B.tex" , style(tex) replace nonum
		not	main(A) compress keep($vars4 $vars5 min_child_age) noobs
		prehead(
		\scalebox{0.5}{\begin{tabular}{l c*{6}{c}})
		posthead(\toprule
				\multicolumn{6}{l}{\textbf{Panel B}} \\ \noalign{\smallskip}\hline\noalign{\smallskip})
		postfoot(\hline\hline \end{tabular}}\end{table}) 
		tex nogaps  width(\hsize) alignment(c)		
		coeflabels(
		step7_usingany	"Using any method at baseline"
		step3_numchildren	"Number of living children"
		step7_injectables	"Using injectable at baseline"
		step7_pill	"Using pill at baseline"
		step7_hormone	"Using a hormonal contraceptive at baseline"
		timesincelastbirth	"Months since last birth (at recruitment)"
		school	"Highest schooling attained"
		a45_hus_highestschool	"Husband's highest schooling attained (reported by wife)"
		e1_ideal	"Ideal number of children"
		a16_3_ageinyrs	"Age"  
		h_age	"Husband's age (reported by wife)"
		hus3_3_ageinyears	"Husband's age (reported by husband)"
		hus1_highestschool	"Husband's highest schooling attained (reported by husband)"
		e12_hus_ideal	"Husband's ideal number of children (reported by wife)"
		hus12_ideal	"Husband's ideal number of children (reported by husband)"
		everused	"Has ever used a modern contraceptive method"
		tried_inj_base "Has ever used an injectable contraceptive method"
		wife_anyinc	"Wife has monthly income"
		husmonthlyinc	"Husband's average monthly income (1,000 USD) (reported by husband)"
		earned_lastmth	"Wife earned money in previous month"
		husb40	"Husband works 40+ hours"
		mostfertile	"Wife knows when she is most fertile"
		wantschildin2	"Wife wants to become pregnant in following 2 years"
		formalmarr	"Formally married"
		b4marriageage	"Age wife married"
		catholic	"Catholic"
		a37happiness	"Comparison of happiness with other women in region\\(1=very unhappy, 5=very happy)"
		a36health	"Comparison of health with other women in region\\(1=very poor, 5=excellent)"
		yearsinlus	"Number of years respondent lived in Lusaka"
		haselectricity	"Couple has electricity"
		sexdays	"Number of days in past 7 days couple has sex"
		e23sexmonth	"Number of days in past month couple has sex"
		husb_othchild	"Number of children husband has with other women"
		f12	"Frequency at which couple has talked about contraception in last\\year"
		f25d	"Couple has ever disagreed on number of children"
		f26d	"Couple has ever disagreed on contraception use"
		f17hide	"Have used contraceptive method without husband's knowledge"
		wouldhide	"Wife would hide money from husband if given 5000 kwacha"
		wouldhide_h	"Husband would hide money from wife if given 5000 kwacha"
		husb_reg_drinker	"Husband drinks at least 2 to 3 times a week"
		f29	"Husband has ever threatened physical violence"
		f30	"Husband has ever been physically violent conditional on\\having threatened violence"
		e25pressure	"Wife ever pressured to have sex"
		e26violentpre	"Wife ever pressured violently to have sex"
		decide_sav	"Husband decides savings"
		hus_money	"Husband holds the money"
		decide_budg	"Husband does budgeting"
		decide_pur	"Husband decides major purchases"
		min_child_age "Age of youngest child");
*/
		#delimit cr



		
cap log close




